Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » why eclipse neon modeling tools repository is currently unavailable(Can't install eclipse modeling tools for neon.1 -- http://www.eclipse.org repository is currently unavailable)
why eclipse neon modeling tools repository is currently unavailable [message #1746411] Fri, 28 October 2016 11:14 Go to next message
Iaroslaw KARDASH is currently offline Iaroslaw KARDASHFriend
Messages: 10
Registered: October 2016
Junior Member
Dear folks,

Why repository for Eclipse Modeling Tools is not available?
What is going on?

Does it mean the repository is temporary unavailable?

I can't install Eclipse Modeling Tools and Papyrus on Neon.1 Workbench.
Please, someone tell me when the repository become available.

Thanks.
Re: why eclipse neon modeling tools repository is currently unavailable [message #1746471 is a reply to message #1746411] Sun, 30 October 2016 09:38 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6852
Registered: July 2009
Senior Member
Hi

I'm not sure what you mean by the "Eclipse Modeling Tools" repository. There are many different modeling tools each with their own repository. Papyrus seems fine to me now. Just possibly you have picked up some prehistoric aggregator, but without a URL who knows? And without an error message we do not even know what you mean by unavailable.

GIT connectivity is certainly causing the webmasters quite a bit of trouble at present. Perhaps what you see/saw was another symptom of the trouble.

Regards

Ed Willink
Re: why eclipse neon modeling tools repository is currently unavailable [message #1746472 is a reply to message #1746471] Sun, 30 October 2016 09:45 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6852
Registered: July 2009
Senior Member
Hi

"without an error message" - apologies. Since NNTP has been discontinued, I receive forum messages via RSS which strips attachments.

"Eclipse Modeling Tools" is not an available site on my machine. Where did it come from?

"http:/www.eclipse.org" is not a repository location. Where did it come from?

Regards

Ed Willink
Re: why eclipse neon modeling tools repository is currently unavailable [message #1746473 is a reply to message #1746472] Sun, 30 October 2016 12:18 Go to previous messageGo to next message
Iaroslaw KARDASH is currently offline Iaroslaw KARDASHFriend
Messages: 10
Registered: October 2016
Junior Member
index.php/fa/27459/0/Dear Ed,

Thanks for answers!

I try to install Papyrus in my Neon Workbench.
For it I need as I understand to install Eclipse Modeling Package first as it's told on the Papyrus download page https://www.eclipse.org/papyrus/download.html

Then, when I tried to do it through Help -> Install New Software and then "Available Software Sites" I got in the list also the following item:
"Eclipse Modeling Tools" - http://www.eclipse.org.
When I try to reload it through "Reload" button I got the following error message:
"No repository found on http://www.eclipse.org.
org.eclipse.equinox.p2.core.ProvisionException". Embarrassed
index.php/fa/27459/0/

And I don't know what to do next.

Please help me to install papyrus and Eclipse Modelign Tools on my Eclipse Workbench.

Thank you.
Re: why eclipse neon modeling tools repository is currently unavailable [message #1746475 is a reply to message #1746473] Sun, 30 October 2016 14:18 Go to previous message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6852
Registered: July 2009
Senior Member
Hi

Ignore the "Eclipse Modeling Tools" entry it's garbage.

Just install Papyrus as described in Papyrus documentation, then if there's anything else missing add it from the Neon repository.

Regards

Ed Willink
Previous Topic:Could not find entry-error
Next Topic:Papyrus error (org.eclipse.emf.ecore.xmi.IllegalValueException: Value '0.0' is not legal.)
Goto Forum:
  


Current Time: Mon Sep 28 23:17:26 GMT 2020

Powered by FUDForum. Page generated in 0.01803 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top